
QGIS Application - Bug report #16398

QGIS hangs when creating or testing a virtual layer when the sql is wrong

2017-03-30 11:37 AM - chris Mr

Status: Closed

Priority: High

Assignee:

Category: Virtual Layers

Affected QGIS version:2.18.3 Regression?: No

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24307

Description

If you go to add a virtual layer, and the add sql like this:

select gid as kml_key, sa.* 

from service_areas 

but forget to include the column alias for service_areas, QGIS just hangs without error, and the 

QGIS process remains at 99% cpu too-

History

#1 - 2017-04-30 03:11 PM - Giovanni Manghi

- Description updated

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category set to Virtual Layers

Or I cannot replicate or I don't understand completely the description. Can you attach a small dataset?

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-26 05:11 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
